Subject: [739] Re: [735] Re: [733] Re: [726] "autogroup" and "guestgroup"

From: [email-masked] (Yoshiharu Araki - Nihon SunService S/W Support)
Date: Fri, 18 Nov 1994 15:43:39 +0900

Sheryl,

I followed your advice and tried again. But it is not successful yet.

>araki@kame[58] ftp turtle
>Connected to turtle.
>220 turtle FTP server (UNIX(r) System V Release 4.0) ready.
>Name (turtle:araki): fujitsu
>530 User fujitsu access denied...
>Login failed.

So I have a few question, please advise me still more.

1) I want to know the gurest account line of /etc/passwd, especialy
the guest's home directory. Shall I use the anonymou ftp's home directory
on guest's account home directory?  I attached my /etc/passwd. Is it right?

/etc/passwd:
	ftp:x:60000:940:FTP Anonymous Account:/export1/ftp:NON
	fujitsu:x:1001:1000:ftp test:/export1/ftp/./fujitsu:/bin/false

/etc/group:
	channel::1000:

ftpaccess:
	class   channel real,guest      129.158.*
	upload  /export1/ftp  /channel yes     fujitsu channel 775
	guestgroup      channel
	class   local   anonymous *.sun.com 129.158.*
	class   remote  anonymous *

Thanks,

--Yoshiharu Araki
[email-masked]
SunService Software Support Engineer
Nihon Sun Microsystems K.K.